IAcSmSheetSelSets
Sheet SelectionSet のインタフェース。
使用可能なメソッド
(setq cad (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument cad)) (setq ssmgr (vla-GetInterfaceObject cad "BricscadSm.AcSmSheetSetMgr")) (setq smdb (vlax-invoke-method ssmgr 'OpenDatabase dstfile)) (setq sheetset (vlax-invoke-method smdb 'GetSheetSet)) (setq sheetSelSets (vlax-invoke-method sheetset "GetSheetSelSets"))
項目 | 内容 |
---|---|
Add | creates a new selection set with 'name' and 'description' and adds it to this collection
(setq sheetSelSet (vlax-invoke-method sheetSelSets 'Add "TestSelSet" "just for testing")) HRESULT Add ([in] BSTR name, [in] BSTR description, [out, retval] IAcSmSheetSelSet** selset) |
Remove | removes the specified selection set from this collection
(setq res (vlax-invoke-method sheetSelSets 'Remove sheetSelSet)) HRESULT Remove ([in] IAcSmSheetSelSet* selset) |
GetEnumerator | returns an enumerator for the selection sets in this collection
(setq iter (vlax-invoke-method sheetSelSets 'GetEnumerator)) HRESULT GetEnumerator ([out, retval] IAcSmEnumSheetSelSet** enumerator) |